//+------------------------------------------------------------------+
//|                                  Parameters BB.DNJ_Renko v_1.mq4 |
//|  Property of  http://www.forex-tsd.com AVANCE ELITE section ONLY |
//+------------------------------------------------------------------+

#property copyright "Copyright  2013,Forex-TSD"
#property link      "http://www.forex-tsd.com"

//General parameters

extern int        MagicNumber                   = 456789;
extern bool       SpreadProtection              = true;
extern int        MaxSpreadPermitted            = 2;
extern int        MaxSlippage                   = 2;   
extern bool       EcnBroker                     = true;
extern int        NumberOfTry                   = 10;
extern bool       AllowMultipleTradesOnBar      = false; // Allow multiple operations on the same candle/bar
extern bool       CloseOnTrendChange            = false; 
extern bool       AllowOnlyOneActiveTrade       = true;  // Allow just one trade active on this pair
extern string     CustomComment                 = "Comment of this EA"; // For example: "Setting 1"

//Parameters to control the amount of balance to trade with this EA

extern string     BalanceForEA                  = "Balance For EA";
extern bool       UseBalanceForEA               = false; //With this param, define if use total amount of balance of just a part of it (defined with BFE)


extern string     BFE_0                         = "bfe=0, takes the fixed balance of the account (BFEFixed)";
extern string     BFE_1                         = "bfe=1, takes a % of the account balance(BFE%Account)";
extern int        bfe                           = 1;

extern double     BFEFixed                      = 2500; 
extern double     BFE%Account                   = 25;

//MoneyManagement settings

extern string     MoneyManagement               = "Money Management";
extern bool       MoneyManagement               = false; //Uses this boolean to define if false: no uses MM, use the parameter Lots (on the next section)


extern string     MM_0                          = "mm=0, risk is basic multiplier based on account balance";
extern string     MM_1                          = "mm=1, risk is % of account balance to risk per sequence";
extern string     MM_2                          = "mm=2, Martingale";

extern int        mm                            = 0;
extern double     RiskMultiplier                = 1.63; 
extern double     Risk%AB                       = 15;   // MM_2. How % on balance account risk to calculate per lot, mm=2.
extern double     LotsMultiplier                = 2.0;  // MM_3. Factor multiplication of lot per each lost operation, mm=3.Martingale


//Positions settings

extern string     Positions                     = "Positions settings";
extern double     Lots                          = 0.01;

//Control Buy

extern double     TakeProfitPipsBuy             = 100;
extern double     StopLossPipsBuy               = 60;
extern bool       HideTPPB                      = false; // Hide TakeProfit.
extern bool       HideSLPB                      = false; // Hide StopLoss.
extern bool       TrailingStop                  = false; // If the TrailingStop is active, Breakeven can't be active.
extern double     TrailingStopBuy               = 20;
extern bool       BreakEven                     = false; // If BreakEven is active, TrailingStop can't be active
extern double     MoveToBreakEveAtPipsBuy       = 12;    // When the price moves to X benefit in pips move SL to BE
extern double     MoveToBreakEvenLockPipsBuy    = 5;     // When the price is BreakEven +/- x pips, move SL to BE

//Control Sell
      
extern double     TakeProfitPipsSell            = 100;
extern double     StopLossPipsSell              = 60;
extern bool       HideTPPS                      = false; // Hide TakeProfit.
extern bool       HideSLPS                      = false; // Hide StopLoss.
extern bool       TrailingStop                  = false; // If the TrailingStop is active, Breakeven can't be active.
extern double     TrailingStopSell              = 20;
extern bool       BreakEven                     = false; // If BreakEven is active, TrailingStop can't be active.             
extern double     MoveToBreakEveAtPipsSell      = 12;    // When the price moves to X benefit in pips move SL to BE                  
extern double     MoveToBreakEvenLockPipsSell   = 5;     // When the price is BreakEven +/- x pips, move SL to BE

//Trading Days And Time Filter 

extern string     TradingDaysAndTimeFilter      = "Trading Days And Time Filter";
extern bool       UseTradingDays                = true;
extern bool       UseTimeFilter                 = false;

extern bool       Sunday                        = false;
extern string     StartTime                     = "00:00";
extern string     StopTime                      = "23:59";
extern bool       CloseOpenTradesStopTime       = false;  // If exists an active trade on this EA, it close at StopTime.

extern bool       Monday                        = true;
extern string     StartTime                     = "00:00";
extern string     StopTime                      = "23:59";
extern bool       CloseOpenTradesStopTime       = false; // If exists an active trade on this EA, it close at StopTime.

extern bool       Tuesday                       = true;
extern string     StartTime                     = "00:00";
extern string     StopTime                      = "23:59";
extern bool       CloseOpenTradesStopTime       = false; // If exists an active trade on this EA, it close at StopTime.

extern bool       Wednesday                     = true;
extern string     StartTime                     = "00:00";
extern string     StopTime                      = "23:59";
extern bool       CloseOpenTradesStopTime       = false; // If exists an active trade on this EA, it close at StopTime.

extern bool       Thursday                      = true;
extern string     StartTime                     = "00:00";
extern string     StopTime                      = "23:59";
extern bool       CloseOpenTradesStopTime       = false; // If exists an active trade on this EA, it close at StopTime.

extern bool       Friday                        = true;
extern string     StartTime                     = "00:00";
extern string     StopTime                      = "19:00";
extern bool       CloseOpenTradesStopTime       = true;  // If exists an active trade on this EA, it close at StopTime.

//Other

extern string     Other                         = "";
extern bool       showMessages                  = false;
extern bool       ShowAlerts                    = false;  // For breakeven and trailing stop errors

//Control parameters trades

extern int        //Control parameters trades

extern int        MaxTradesDirectionBBMacd      = 1;  // Number of allow trades per direction marked by BBMacd.  
extern int        MaxCandleDirectionBBMacd      = 10; // Max number of candle allow from the trend is initialized for open a new trade

//Indicators

extern string     Indicators                    = "Indicators";

extern string     1__                           = "BB Macd nrp - mtf & alerts & labels 1.01";
extern string     TimeFrame                     = "current time frame";
extern int        FastLen                       = 12;
extern int        SlowLen                       = 26;
extern int        Length                        = 10;
extern double     StDv                          = 0.786;
extern bool       drawDots                      = true;
extern bool       arrowsVisible                 = false;
extern string     arrowsIdentifier              = "bbMacd1";
extern color      arrowsUpColor                 = DeepSkyBlue;
extern color      arrowsDnColor                 = Red;
extern bool       alertsOn                      = false;
extern bool       alertsOnCurrent               = false;
extern bool       alertsMessage                 = false;
extern bool       alertsSound                   = false;
extern bool       alertsEmail                   = false;
extern bool       Interpolate                   = true;
extern int        xDistance                     = 10;
extern int        yDistance                     = 10;
extern color      LabelsColorUp                 = Green;
extern color      LabelsColorNeutral            = DimGray;
extern color      LabelsColorDown               = Crimson;

extern string     2__                         = "directional normalized juice";
extern int        NdoPrice                      = PRICE_CLOSE;
extern int        EMAPeriod                     = 7;
extern int        NormPeriod                    = 80;




//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+